# ACE_Select_Reactor_Handle_Set Class Reference

Track handles we are interested for various events. More...

`#include <Select_Reactor_Base.h>`

Collaboration diagram for ACE_Select_Reactor_Handle_Set:

[legend]
List of all members.

## Public Attributes

ACE_Handle_Set | rd_mask_
| Read events (e.g., input pending, accept pending).
ACE_Handle_Set | wr_mask_
ACE_Handle_Set | ex_mask_
| Exception events (e.g., SIG_URG).

## Detailed Description

Track handles we are interested for various events.

## Member Data Documentation

ACE_Handle_Set ACE_Select_Reactor_Handle_Set::ex_mask_

| Exception events (e.g., SIG_URG).

ACE_Handle_Set ACE_Select_Reactor_Handle_Set::rd_mask_

| Read events (e.g., input pending, accept pending).

ACE_Handle_Set ACE_Select_Reactor_Handle_Set::wr_mask_

| Write events (e.g., flow control abated, non-blocking connection complete).

The documentation for this class was generated from the following file:

- Select_Reactor_Base.h